Bug 196045 - Soundcard does not work with xen kernel
Summary: Soundcard does not work with xen kernel
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel-xen   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Eduardo Habkost
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-06-20 16:16 UTC by Dennis Jacobfeuerborn
Modified: 2009-12-14 20:37 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-26 23:11:52 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
logfile of soundcard detection on xen enabled kernel (13.96 KB, text/plain)
2006-06-20 16:16 UTC, Dennis Jacobfeuerborn
no flags Details
s-c-s logfile (41.85 KB, text/plain)
2007-03-22 20:58 UTC, Dennis Jacobfeuerborn
no flags Details

Description Dennis Jacobfeuerborn 2006-06-20 16:16:29 UTC
When booting kernel-xen-2.6.16-1.2289_FC6 my soundcard (Audiophile 24/96) no
longer gets initialized properly. The snd_ice1712 shows up in lsmod but
/proc/asound/cards is empty. After booting back into a regular kernel audio
works fine again.

scsound.log attached

Comment 1 Dennis Jacobfeuerborn 2006-06-20 16:16:29 UTC
Created attachment 131205 [details]
logfile of soundcard detection on xen enabled kernel

Comment 2 Dennis Jacobfeuerborn 2007-03-21 23:26:14 UTC
I switched to a new box but kept the same soundcard and this still doesn't work.
The kernel (2.6.19-1.2898.2.3.fc7xen) does seem to detect the soundcard but
misses out on the pcm bits. Here is what scsrun.log says:

ALSA lib pcm_hw.c:1357:(_snd_pcm_hw_open) Invalid value for card
aplay: main:550: audio open error: No such device
cat: /etc/asound.conf: No such file or directory
amixer: Mixer attach default error: No such device
Running from command-line...


Comment 3 Stephen Tweedie 2007-03-22 12:22:26 UTC
Can you please include kernel logs of the soundcard detection?  All I can see
attached so far is the user-space alsa/alsalib logs, but we really need to see
what the kernel is reporting at boot time to debug this.  Thanks!


Comment 4 Dennis Jacobfeuerborn 2007-03-22 20:58:56 UTC
Created attachment 150698 [details]
s-c-s logfile

This is a current logfile generated by s-c-s. I checked both the dmesg output
and /var/log/messages but neither seem to contain any messages related to the
soundcard whatsoever. How do I get to the information you need?

Comment 5 Stephen Tweedie 2007-03-26 15:30:13 UTC
"dmesg" shortly after boot should have it.  From your quote "The kernel
(2.6.19-1.2898.2.3.fc7xen) does seem to detect the soundcard" can we assume that
the kernel is giving at least _some_ indication of having found it?


Comment 6 Dennis Jacobfeuerborn 2007-03-28 14:44:52 UTC
The dmesg output is present in the logfiles above but I've never seen any output
by the sound-subsystem in the kernel messages either using xen or the regular
kernel.

I assumed that the modules found something by looking at /proc/asound/devices
which contained this:
  2:        : timer
  3:        : sequencer
but thinking about it now these are probably some generic elements that would
appear even without a soundcard present.

So it looks like the kernel loads the appropriate modules without indicating an
error but alsa doesn't quite seem to pick it up from there. Is there any way to
get more verbose output when loading the modules or initializing the audio
subsystem?


Comment 7 Red Hat Bugzilla 2007-07-24 23:55:50 UTC
change QA contact

Comment 8 Chris Lalancette 2008-02-26 23:11:52 UTC
This report targets FC6, which is now end-of-life.

Please re-test against Fedora 7 or later, and if the issue persists, open a new bug.

Thanks



Note You need to log in before you can comment on or make changes to this bug.